### File

`packages/ecl/components/ecl-card/ecl-card-picture.directive.ts`

### Description

Directive for the picture element used in ECL Card. Applies required ECL CSS classes and optionally enables zoom effect.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `picture[eclCardPicture]`

### Index

###### Methods
getCssClasses
###### Inputs
hasZoom class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

hasZoom
Type : `boolean`
Default value : `false`
When true, adds the `ecl-picture--zoom` class to enable zoom styling.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Returns the set of CSS classes to apply to the picture element.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`
Returns the set of CSS classes to apply to the picture element. Returns : `string`

# results matching ""

# No results matching ""